pcl::poisson::CoredVectorMeshData Class Reference

`#include <pcl/surface/3rdparty/poisson4/geometry.h>`

Inheritance diagram for pcl::poisson::CoredVectorMeshData:

## Public Member Functions

| CoredVectorMeshData (void)
void | resetIterator (void)
int | addOutOfCorePoint (const Point3D< float > &p)
int | addPolygon (const std::vector< CoredVertexIndex > &vertices)
int | nextOutOfCorePoint (Point3D< float > &p)
int | nextPolygon (std::vector< CoredVertexIndex > &vertices)
int | outOfCorePointCount (void)
int | polygonCount (void)

## Additional Inherited Members

Public Attributes inherited from pcl::poisson::CoredMeshData
std::vector< Point3D< float > > | inCorePoints

## Detailed Description

Definition at line 247 of file geometry.h.

## Constructor & Destructor Documentation

## CoredVectorMeshData()

pcl::poisson::CoredVectorMeshData::CoredVectorMeshData | ( | void |  | ) |

## Member Function Documentation

## addOutOfCorePoint()

int pcl::poisson::CoredVectorMeshData::addOutOfCorePoint | ( | const Point3D< float > & | p | ) |

virtual

Implements pcl::poisson::CoredMeshData.

## addPolygon()

int pcl::poisson::CoredVectorMeshData::addPolygon | ( | const std::vector< CoredVertexIndex > & | vertices | ) |

virtual

Implements pcl::poisson::CoredMeshData.

## nextOutOfCorePoint()

int pcl::poisson::CoredVectorMeshData::nextOutOfCorePoint | ( | Point3D< float > & | p | ) |

virtual

Implements pcl::poisson::CoredMeshData.

Referenced by pcl::Poisson< PointNT >::performReconstruction().

## nextPolygon()

int pcl::poisson::CoredVectorMeshData::nextPolygon | ( | std::vector< CoredVertexIndex > & | vertices | ) |

virtual

Implements pcl::poisson::CoredMeshData.

Referenced by pcl::Poisson< PointNT >::performReconstruction().

## outOfCorePointCount()

int pcl::poisson::CoredVectorMeshData::outOfCorePointCount | ( | void |  | ) |

virtual

Implements pcl::poisson::CoredMeshData.

Referenced by pcl::Poisson< PointNT >::performReconstruction().

## polygonCount()

int pcl::poisson::CoredVectorMeshData::polygonCount | ( | void |  | ) |

virtual

Implements pcl::poisson::CoredMeshData.

Referenced by pcl::Poisson< PointNT >::performReconstruction().

## resetIterator()

void pcl::poisson::CoredVectorMeshData::resetIterator | ( | void |  | ) |

virtual

Implements pcl::poisson::CoredMeshData.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/poisson4/geometry.h